cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

1909
Views
0
Helpful
2
Replies
pmchandler
Beginner

Cisco VSG - Different versions between VSG, VNMC & Nexus 1000v?

Are there any dependencies on running the same versions with the Cisco Nexus 1000v, Cisco Virtual Security Gateway (VSG) and the Virtual Network Management Center (VNMC)?

For various reasons, they are all on diffrent versions in my lab and I am having problems saving policies in the flash-based we gui. Sometimes I click Save and it doesnt seem to do anything. Other times, I get a communication error and it throws me out of the GUI.

Any advice greatly appreciated.

2 REPLIES 2
pmchandler
Beginner

OK, well i discovered the cause of the GUI instability issue...

As well as port 443, I also had to open TCP port 843 from the web client workstation through the firewall to the Cisco VNMC appliance.

I'd still like to know if there are any dependencies between versions though? i.e. is it ok for the Nexus to be newer than the VSG appliance, can the VSG appliance be newer than the VNMC appliance etc?

yes, there are dependencies on N1k for VSG/VNMC. VSG uses VPATH which is part of N1k VEM. It is important to keep the version compatibility otherwise you will run into unknown issues. VSG also needs to be compatible with VNMC.